Networks
List network routes
get
/networks/{network_id}/routesView all custom routes configured for a private network. Each route forwards traffic to a specific IP, server, or baremetal.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
network_id*integer
Range
1 ≤ valueResponses
Successful Response
application/json
array<NetworkRouteOut>
id*string
network_id*integer
destination*string
next_hop_type*NextHopType
Value in
"ip""vps""baremetal"next_hop_target*string
resolved_next_hop_ip?string | null
description?string | null
created_at*string
Format
date-timenat_gateway_uuid?string | null
nat_gateway_name?string | null